Bug 1568848 - [RFE] Handle multiple capsules' ssh keys
Summary: [RFE] Handle multiple capsules' ssh keys
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Bootstrap
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Released
Assignee: Evgeni Golov
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 10:21 UTC by François Cami
Modified: 2019-10-07 17:17 UTC (History)
5 users (show)

Fixed In Version: katello-client-bootstrap-1.7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello katello-client-bootstrap pull 281 None None None 2019-03-08 12:37:50 UTC
Github Katello katello-client-bootstrap pull 298 None None None 2019-03-08 12:37:27 UTC
Github Katello katello-client-bootstrap pull 299 None None None 2019-03-08 12:39:23 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:20 UTC

Description François Cami 2018-04-18 10:21:36 UTC
Description of problem:

When multiple capsules are available, the current implementation of --rex will not install all ssh keys from multiple capsules which is desirable.

Comment 1 François Cami 2018-04-18 10:21:53 UTC
Sample implementation:

https://github.com/Katello/katello-client-bootstrap/pull/220

Comment 3 François Cami 2018-04-18 10:24:23 UTC
This will become easier to implement when https://bugzilla.redhat.com/show_bug.cgi?id=1568838 is done as it will not require the Satellite administrator to maintain the list of keys in a file.

Comment 21 Evgeni Golov 2019-03-08 18:33:20 UTC
POST again, as all relevant PRs are merged

Comment 29 errata-xmlrpc 2019-05-14 12:37:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.